# Get Metadata for Data File

Use this endpoint to retrieve metadata for a given data file and release.

Endpoint: GET /Metadata/Data/{release}/{filename}

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `filename` (string, required)
    Name of File.
    Example: "ews.txt"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

## Response 200 fields (application/json):

  - `FileName` (string)
    Example: "Congress.csv"

  - `Release` (string)
    Example: "2024.01"

  - `BuildDate` (string)
    Example: "2023-12"

  - `FileSize` (string)
    Example: "45995"

  - `MD5` (string)
    Example: "c42cd3b9f31e5a54a395c9b1b6455d5a"

  - `SHA1` (string)
    Example: "f9e23f670f82c1e440fb78d8e1f1f6b4fd603356"

  - `SHA256` (string)
    Example: "ec0d336cbfdd4bc4ee0ae39d997b1604819f6942f216a0b3eb62f3a718bed560"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


